/*

Test av H-brygga och motor

*/



//
// konstanter (värden som inte ändras i programmet)
//

int pinLed = 13; // utgång 13 är kopplat till en LED på Arduinon

const int pinVansterMotor1 = 2;
const int pinVansterMotor2 = 3;
const int pinVansterMotorFart = 6;

const int motorFart = 200; // hur snabbt ska motorerna gå?



//
// funktionen setup() körs EN GÅNG i början av programmet
//
void setup() {                

    pinMode(pinLed, OUTPUT);

    // vänster motor
    // den STYR vi (OUTPUT)
    pinMode(pinVansterMotor1, OUTPUT);
    pinMode(pinVansterMotor2, OUTPUT);
    pinMode(pinVansterMotorFart, OUTPUT);

}



//
// funktionen loop() körs om och om igen (tills strömmen bryts)
//
void loop() {

    digitalWrite(pinLed, HIGH); // tänd lysdioden

    // framåt
    motorFramat();
    delay(1000);

    digitalWrite(pinLed, LOW); // släck lysdioden

    // stanna motorn    
    motorStopp();
    delay(100);
    
    // bakåt
    motorBakat();
    delay(1000);

    // stanna motorn    
    motorStopp();
    delay(100);
}

void motorFramat(void)
{
    // kör vänster motor
    analogWrite(pinVansterMotorFart, motorFart);
    digitalWrite(pinVansterMotor1, LOW);
    digitalWrite(pinVansterMotor2, HIGH);

}

void motorBakat(void)
{

    // kör vänster motor bakåt
    analogWrite(pinVansterMotorFart, motorFart);
    digitalWrite(pinVansterMotor1, HIGH);
    digitalWrite(pinVansterMotor2, LOW);

}

void motorStopp(void)
{
    // stoppa vänster motor
    analogWrite(pinVansterMotorFart, 0);
    digitalWrite(pinVansterMotor1, LOW);
    digitalWrite(pinVansterMotor2, LOW);

}