// Sensor

#include <NewPing.h>

int pinLed = 13; // lysdiod

const int pinPingTrig = 19; // sensorn ansluten till stift/port 18 och 19
const int pinPingEcho = 18;
const int pingMax = 500; // hinder längre bort än pingMax centimeter kommer ej att ses

NewPing myPing(pinPingTrig, pinPingEcho, pingMax); // hjälper oss prata med avståndsmätaren

int avstandFramat; // avstånd framåt
int avstandVanster; // avstånd vänster
int avstandHoger; // avstånd höger

void setup() {

  pinMode(pinLed, OUTPUT);
  
  Serial.begin(115200);

}

void loop() {

  avstandFramat = myPing.ping_cm();

  Serial.println(avstandFramat);

  if (avstandFramat < 25)
  {
    digitalWrite(pinLed, HIGH);
  
  } else {
    
    digitalWrite(pinLed, LOW);
    
  }
  
  delay(100);
  
}
